Expanded Limits, Across all tiers - Our Gift to you! Learn more →

AlterLab
SearchResearchPricingComparePlaygroundBlogDocsChangelog
    AlterLabAlterLab
    PricingComparePlaygroundBlogDocsChangelog
    IntroductionQuickstartInstallationYour First Request
    REST APICrawl APIMap APISearch APIResearch APINewSERP APINewExtract APIAIJob PollingDomain StatsNewGeocode APINewNews APIBatch ResultsNewAPI KeysSessions APINewEnterprise APIEnterprise
    AccountAutoAI VisibilityAutoAlertsAutoAuthAutoBillingAutoCrawlAutoExtractAutoIntegrationsAutoKeysAutoMapAutoMonitorsAutoOrganizationsAutoResearch SchedulesAutoRunsAutoSchedulesAutoScrapeAutoSearchAutoSearch SchedulesAutoSessionsAutoUser WebhooksAutoV1 EndpointsAutoAffiliatesAutoAgentAutoAgent OnboardingAutoAgent VisibilityAutoAnalyticsAutoApprovalsAutoArtifactsAutoAttributionAutoB2BAutoBatchAutoBeta FeaturesAutoBlogAutoBuyerAutoChatAutoConnectionsAutoConnectorsAutoContact ListsAutoCreatorAutoCross SellAutoDashboardAutoDefaultsAutoDomainsAutoEmail PreferencesAutoFcAutoHandsAutoHealthAutoJobsAutoListingsAutoMaintenanceAutoNewsAutoOauthAutoOauth GrantsAutoPage InspectAutoPlatformAutoPresetsAutoPricingAutoPrivacyAutoPublicAutoPublic PagesAutoReferralAutoReferralsAutoReportsAutoResearchAutoSecretsAutoSerpAutoSSOAutoStorefrontsAutoSupportAutoTemplatesAutoToolsAutoTrackAutoUsageAutoUsage TagsAutoUserAutoWorkflowsAutoWorkspacesAutoWebhooksAuto
    OverviewPythonNode.jsCLI
    Guides OverviewJavaScript RenderingBrowser ActionsOutput FormatsPDF & OCRCachingWebhooksJSON Schema FilteringWebSocket Real-TimeBring Your Own ProxyProSticky SessionsProAuthenticated ScrapingNewHTTP Methods & BodiesNewStructured ExtractionAIWeb SearchAgent and RAG GroundingResearch JobsAgent RunsSite MappingWeb CrawlingBatch ScrapingSchedulerData MarketplaceSelling DataAgent OnboardingEmbeddingsKeyword IdeasAI VisibilityWorkflowsChange DetectionCloud Storage ExportSpend LimitsOrganizations & TeamsScrape TemplatesCustom ConnectorsSecretsContact ListsPlatform Sub-AccountsReferrals & AffiliatesAlerts & NotificationsExtraction ProfilesAIBYOK ExtractionAIOAuth2 Machine-to-MachineSupport & TicketsUnsupported Targets
    Tutorials OverviewStructured ExtractionAIE-commerce ScrapingNews MonitoringPrice MonitoringMulti-Page CrawlingMonitoring DashboardAI Agent / MCPMCPAI Research AgentAISite CrawlingData Pipeline to Cloud
    E-commerceLead GenerationChange MonitoringRAG & AI PipelinesAIResearch
    Reference OverviewPricingRate LimitsReliabilityReliability ContractError CodesChangelogVersioning
    Migrations OverviewFrom FirecrawlFrom ApifyFrom ScrapingBee / ScraperAPIFrom Crawl4AIFrom SpiderSearch to SERPFirecrawl v0 API ReferenceLegacy
    OverviewMCP ServerAIn8n NodeLangChainAICrewAIAILlamaIndexAISupabaseChrome ExtensionSoon
    PlaygroundPricingStatus

    Up to 5,000 free requests · No credit card

    API Reference
    Auto-generated

    Workspaces

    API reference for workspaces endpoints.

    Auto-generated

    This page was generated from the OpenAPI spec. Runmake generate-docs to refresh after spec changes.

    GET /api/v1/workspaces/{org_id}/activity

    GET
    /api/v1/workspaces/{org_id}/activity

    Get workspace activity feed

    Parameters

    NameTypeRequiredDescription
    org_idstring
    Required
    org_id
    limitintegerOptionalPage sizeDefault: 50
    offsetintegerOptionalPage offsetDefault: 0

    Request Example

    Bash
    curl -X GET https://api.alterlab.io/api/v1/workspaces/<org_id>/activity \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "items": [],
      "total": 0,
      "limit": 0,
      "offset": 0
    }

    GET /api/v1/workspaces/{org_id}/contact-lists

    GET
    /api/v1/workspaces/{org_id}/contact-lists

    List contact lists shared to a workspace

    Parameters

    NameTypeRequiredDescription
    org_idstring
    Required
    org_id
    limitintegerOptionallimitDefault: 50
    offsetintegerOptionaloffsetDefault: 0

    Request Example

    Bash
    curl -X GET https://api.alterlab.io/api/v1/workspaces/<org_id>/contact-lists \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "items": [],
      "total": 0
    }

    POST /api/v1/workspaces/{org_id}/resources/{resource_type}/{resource_id}/share

    POST
    /api/v1/workspaces/{org_id}/resources/{resource_type}/{resource_id}/share

    Share a personal resource to a workspace

    Parameters

    NameTypeRequiredDescription
    org_idstring
    Required
    org_id
    resource_typestring
    Required
    resource_type
    resource_idstring
    Required
    resource_id

    Request Example

    Bash
    curl -X POST https://api.alterlab.io/api/v1/workspaces/<org_id>/resources/<resource_type>/<resource_id>/share \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "resource_type": "example",
      "resource_id": "example",
      "organization_id": "example",
      "message": "example"
    }

    DELETE /api/v1/workspaces/{org_id}/resources/{resource_type}/{resource_id}/share

    DELETE
    /api/v1/workspaces/{org_id}/resources/{resource_type}/{resource_id}/share

    Unshare a resource from a workspace

    Parameters

    NameTypeRequiredDescription
    org_idstring
    Required
    org_id
    resource_typestring
    Required
    resource_type
    resource_idstring
    Required
    resource_id

    Request Example

    Bash
    curl -X DELETE https://api.alterlab.io/api/v1/workspaces/<org_id>/resources/<resource_type>/<resource_id>/share \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "resource_type": "example",
      "resource_id": "example",
      "message": "example"
    }

    GET /api/v1/workspaces/{org_id}/secrets

    GET
    /api/v1/workspaces/{org_id}/secrets

    List secrets shared to a workspace (masked preview only)

    Parameters

    NameTypeRequiredDescription
    org_idstring
    Required
    org_id
    limitintegerOptionallimitDefault: 50
    offsetintegerOptionaloffsetDefault: 0

    Request Example

    Bash
    curl -X GET https://api.alterlab.io/api/v1/workspaces/<org_id>/secrets \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "items": [],
      "total": 0
    }

    GET /api/v1/workspaces/{org_id}/workflows

    GET
    /api/v1/workspaces/{org_id}/workflows

    List workflows shared to a workspace

    Parameters

    NameTypeRequiredDescription
    org_idstring
    Required
    org_id
    limitintegerOptionallimitDefault: 50
    offsetintegerOptionaloffsetDefault: 0

    Request Example

    Bash
    curl -X GET https://api.alterlab.io/api/v1/workspaces/<org_id>/workflows \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "items": [],
      "total": 0
    }
    Last updated: June 2026

    On this page